﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using System.Windows;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Popups;
using Windows.UI.Core;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace MonthCellCustomization_SampleUWP
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private static readonly CoreCursor handCursor = new CoreCursor(CoreCursorType.Hand, 1);
        private static readonly CoreCursor arrowCursor = new CoreCursor(CoreCursorType.Arrow, 1);
        public MainPage()
        {
            this.InitializeComponent();

            schedule.Appointments.Add(new ScheduleAppointment()
            {
                StartTime = DateTime.Now.Date.AddHours(9),
                EndTime = DateTime.Now.Date.AddHours(11),
                Subject = "Meeting",
                Location = "chennai",
            });

            schedule.ScheduleTapped += Schedule_ScheduleTapped;
        }

        private async void Schedule_ScheduleTapped(object sender, ScheduleTappedEventArgs e)
        {          
            if (e.Appointment != null)
            {
                // Do your actions here 
                             
                var dialog = new MessageDialog("Subject : " + ((e.Appointment as ScheduleAppointment).Subject) + Environment.NewLine +
                    "StartTime :  " + ((e.Appointment as ScheduleAppointment).StartTime.ToString() + Environment.NewLine +
                    "Location : " + ((e.Appointment as ScheduleAppointment).Location)));
                await dialog.ShowAsync();
               
            }
            
        }

        private void Grid_PointerEntered(object sender, PointerRoutedEventArgs e)
        {
            var grid = sender as Grid;
            Window.Current.CoreWindow.PointerCursor = handCursor;
        }

        private void Grid_PointerExited(object sender, PointerRoutedEventArgs e)
        {
            var grid = sender as Grid;
            Window.Current.CoreWindow.PointerCursor = arrowCursor;
        }
    }
}
